function I = R_integral(w) ;
global Ngridpoints
global ee qq

% dnu: important parameter: discretization size for integral approx.
dnu = 2*pi/Ngridpoints ; % for qq > 1, dnu=pi/500 is ok

a = qq/(1-ee) ;
p = a *(1-ee^2);

nu= -pi: dnu :pi;
nu=nu(:);

E = 2* atan( sqrt((1-ee)/(1+ee)) * tan(nu/2) ) ;

t = a^(3/2) * (E - ee*sin(E)) ;

r = p./(1+ee*cos(nu)) ;
r2= sqrt(1 + r.^2 - 2*r.*cos(w*ones(size(nu)) + nu - t)) ;
dI= r.^3./r2.^3.*        sin(w*ones(size(nu)) + nu - t)  ;

I = trapz(dI)*dnu/sqrt(p) ;
