setup_map_F_u 	% obtains global variables

% obtain N iterates of the map f where (w(1),a(1)) is the initial condition
N = 3000 ;

w=[];K=[];

% initial conditions
amax = r_h_jup/2 ;

bdl=0 ;
bdr=0.3724571*pi ;
w1=bdl:(bdr-bdl)/(N-1):bdr ;
Kmax = -0.5/amax ;

% Compute controlled trajectory
for k = 1:N
  [w(k),K(k)] = map_F_u(w1(k),Kmax,0, mu) ;
  %w(k) = modw(w(k)) ; % gives angle mod 2*pi and between -pi and pi
  %w(k) =-modw(w1(k)) ; % gives angle mod 2*pi and between -pi and pi
end

w1(N) = bdr;
K(N)  = Kmax ;

h=plot(w1/pi,K,'k.-',w1/pi,ones(size(w1))*Kmax,'r') ;
xlabel('w'); ylabel('K');
title('Effective inbound set');
hold on
hinbound=fill(w1/pi,K,'m');

for k = 1:N
  [winv(k),Kinv(k)] = map_Finv_u(w1(k),K(k),0, mu) ;
  winv(k) = modw(winv(k)) ; % gives angle mod 2*pi and between -pi and pi
end
hinv = plot(winv/pi,Kinv,'b.');
