global ee qq 
global aa II alpha
global Ngridpoints

warning off MATLAB:fzero:UndeterminedSyntax

% map parameters
mu   = 5.667e-5 ; % Jupiter-Callisto system
CJ   = 2.995 ;    % Jacobi constant
abar = 1.35  ;    % abar =-1/(2*Kbar) 

% other parameters
Ngridpoints = 500 ;
aa    = abar ;
ee    = sqrt( 1 - ( (CJ*aa-1)/(2*aa^(3/2)) )^2 ) ; % value of e in approx.
qq = aa*(1-ee  ) ; % value of q used in approx.
pp = aa*(1-ee^2) ; % value of p used in approx.
II = Iintegral(0,1)/sqrt(pp) ;
alpha = sqrt((1/aa)*(1+ee)/(1-ee)) ;

% Time, velocity, distance scale factors (from normalized to real world units)
Cal_per=        16.68902; % [days] orbital period   of Callisto
Tscale = Cal_per/(2*pi);
Vscale =      8210      ; % [m/s]  orbital velocity of Callisto 
Dscale =   1883000      ; % [km]   orbital distance of Callisto 
JUPSUN = 778300000      ; % [km] Jupiter-Sun distance
r_h_jup= JUPSUN/Dscale*((9.537e-4)/3)^(1/3) ;

u_max = 5/Vscale ; % set maxmimum control at 5 m/s (in normalized units)
